Package voltage.sources

# Class OscillatorBaseClass

java.lang.Object
voltage.sources.OscillatorBaseClass

Direct Known Subclasses:
  `AnalogOscillator`, `DigitalOscillator`

public abstract class OscillatorBaseClass extends Object
A base class for oscillators.

See Also:
  - `DigitalOscillator`
  - `AnalogOscillator`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OscillatorBaseClass()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `AdvanceSample()`
  `abstract double`
  `GetCosineValue()`
  `double`
  `GetCycle()`
  `double`
  `GetCyclesPerSample()`
  `abstract double`
  `GetPulseValue()`
  `double`
  `GetPureSineValue()`
  `abstract double`
  `GetRampValue()`
  `abstract double`
  `GetSawtoothValue()`
  `abstract double`
  `GetSineValue()`
  `abstract double`
  `GetSquareValue()`
  `abstract double`
  `GetTriangleValue()`
  `void`
  `ResetCycle()`
  `void`
  `SetCycle(double newCycle)`
  `abstract void`
  `SetFrequency(double newFrequency)`
  `abstract void`
  `SetPulseWidth(double width)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OscillatorBaseClass

    public OscillatorBaseClass()

- ## Method Details

  - ### SetFrequency

    public abstract void SetFrequency(double newFrequency)

  - ### ResetCycle

    public void ResetCycle()

  - ### SetCycle

    public void SetCycle(double newCycle)

  - ### GetCycle

    public double GetCycle()

  - ### GetCyclesPerSample

    public double GetCyclesPerSample()

  - ### GetPureSineValue

    public double GetPureSineValue()

  - ### SetPulseWidth

    public abstract void SetPulseWidth(double width)

  - ### GetPulseValue

    public abstract double GetPulseValue()

  - ### GetSquareValue

    public abstract double GetSquareValue()

  - ### GetSawtoothValue

    public abstract double GetSawtoothValue()

  - ### GetRampValue

    public abstract double GetRampValue()

  - ### GetTriangleValue

    public abstract double GetTriangleValue()

  - ### GetSineValue

    public abstract double GetSineValue()

  - ### GetCosineValue

    public abstract double GetCosineValue()

  - ### AdvanceSample

    public abstract void AdvanceSample()